NFE = {
    # Alguns serviços são disponibilizados apenas pelo ambiente nacional
    'AN': {
        'EVENTOS': 'nfe.fazenda.gov.br/NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',  # versao: 4.00
        'DISTRIBUICAO': 'nfe.fazenda.gov.br/NFeDistribuicaoDFe/NFeDistribuicaoDFe.asmx',
        'PRD': 'https://www',
        'HML': 'https://hom1'
    },
    'AM': {
        'STATUS': 'nfe.sefaz.am.gov.br/services2/certificates/NfeStatusServico4',
        'AUTORIZACAO': 'nfe.sefaz.am.gov.br/services2/certificates/NfeAutorizacao4',
        'RECIBO': 'nfe.sefaz.am.gov.br/services2/certificates/NfeRetAutorizacao4',
        'CHAVE': 'nfe.sefaz.am.gov.br/services2/certificates/NfeConsulta4',
        'INUTILIZACAO': 'nfe.sefaz.am.gov.br/services2/certificates/NfeInutilizacao4',
        'EVENTOS': 'nfe.sefaz.am.gov.br/services2/certificates/RecepcaoEvento4',
        'CADASTRO': 'nfe.sefaz.am.gov.br/services2/certificates/cadconsultacadastro2',
        'PRD': 'https://',
        'HML': 'https://hom'
    },
    'MA': {
        'CADASTRO': 'https://sistemas.sefaz.ma.gov.br/wscadastro/CadConsultaCadastro2?wsdl'
    },
    'PE': {
        'STATUS': 'sefaz.pe.gov.br/nfe-classes/certificates/NFeStatusServico4',
        'AUTORIZACAO': 'sefaz.pe.gov.br/nfe-classes/certificates/NFeAutorizacao4',
        'RECIBO': 'sefaz.pe.gov.br/nfe-classes/certificates/NFeRetAutorizacao4',
        'CHAVE': 'sefaz.pe.gov.br/nfe-classes/certificates/NFeConsultaProtocolo4',
        'INUTILIZACAO': 'sefaz.pe.gov.br/nfe-classes/certificates/NFeInutilizacao4',
        'EVENTOS': 'sefaz.pe.gov.br/nfe-classes/certificates/NFeRecepcaoEvento4',
        'CADASTRO': 'sefaz.pe.gov.br/nfe-classes/certificates/CadConsultaCadastro4?wsdl',
        'PRD': 'https://nfe.',
        'HML': 'https://nfehomolog.'
    },
    'BA': {
        'STATUS': 'nfe.sefaz.ba.gov.br/webservices/NFeStatusServico4/NFeStatusServico4.asmx',
        'AUTORIZACAO': 'nfe.sefaz.ba.gov.br/webservices/NFeAutorizacao4/NFeAutorizacao4.asmx',
        'RECIBO': 'nfe.sefaz.ba.gov.br/webservices/NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
        'CHAVE': 'nfe.sefaz.ba.gov.br/webservices/NFeConsultaProtocolo4/NFeConsultaProtocolo4.asmx',
        'INUTILIZACAO': 'nfe.sefaz.ba.gov.br/webservices/NFeInutilizacao4/NFeInutilizacao4.asmx',
        'EVENTOS': 'nfe.sefaz.ba.gov.br/webservices/NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
        'CADASTRO': 'nfe.sefaz.ba.gov.br/webservices/CadConsultaCadastro4/CadConsultaCadastro4.asmx',
        'PRD': 'https://',
        'HML': 'https://h'
    },
    'MG': {
        'STATUS': 'nfe.fazenda.mg.gov.br/nfe2/certificates/NFeStatusServico4',
        'AUTORIZACAO': 'nfe.fazenda.mg.gov.br/nfe2/certificates/NFeAutorizacao4',
        'RECIBO': 'nfe.fazenda.mg.gov.br/nfe2/certificates/NFeRetAutorizacao4',
        'CHAVE': 'nfe.fazenda.mg.gov.br/nfe2/certificates/NFeConsultaProtocolo4',
        'INUTILIZACAO': 'nfe.fazenda.mg.gov.br/nfe2/certificates/NFeInutilizacao4',
        'EVENTOS': 'nfe.fazenda.mg.gov.br/nfe2/certificates/NFeRecepcaoEvento4',
        'CADASTRO': 'nfe.fazenda.mg.gov.br/nfe2/certificates/CadConsultaCadastro4',
        'PRD': 'https://',
        'HML': 'https://h'
    },
    'SP': {
        'STATUS': 'nfe.fazenda.sp.gov.br/ws/nfestatusservico4.asmx',
        'AUTORIZACAO': 'nfe.fazenda.sp.gov.br/ws/nfeautorizacao4.asmx',
        'RECIBO': 'nfe.fazenda.sp.gov.br/ws/nferetautorizacao4.asmx',
        'CHAVE': 'nfe.fazenda.sp.gov.br/ws/nfeconsultaprotocolo4.asmx',
        'INUTILIZACAO': 'nfe.fazenda.sp.gov.br/ws/nfeinutilizacao4.asmx',
        'EVENTOS': 'nfe.fazenda.sp.gov.br/ws/nferecepcaoevento4.asmx',
        'CADASTRO': 'nfe.fazenda.sp.gov.br/ws/cadconsultacadastro4.asmx',
        'PRD': 'https://',
        'HML': 'https://homologacao.'
    },
    'PR': {
        'STATUS': 'nfe.sefa.pr.gov.br/nfe/NFeStatusServico4',  # CONSULTA STATUS DO SERVICO
        'AUTORIZACAO': 'nfe.sefa.pr.gov.br/nfe/NFeAutorizacao4',  # AUTORIZACAO
        'RECIBO': 'nfe.sefa.pr.gov.br/nfe/NFeRetAutorizacao4',  # CONSULTA RECIBO
        'CHAVE': 'nfe.sefa.pr.gov.br/nfe/NFeConsultaProtocolo4',  # CONSULTA CHAVE DE ACESSO
        'INUTILIZACAO': 'nfe.sefa.pr.gov.br/nfe/NFeInutilizacao4',  # INUTILIZAÇAO
        'EVENTOS': 'nfe.sefa.pr.gov.br/nfe/NFeRecepcaoEvento4',  # REGISTRO DE EVENTOS
        'CADASTRO': 'nfe.sefa.pr.gov.br/nfe/CadConsultaCadastro4',  # CONSULTA CADASTRO
        'PRD': 'https://',
        'HML': 'https://homologacao.'
    },
    # https://www.sefaz.rs.gov.br/site/MontaDuvidas.aspx?al=l_rel_end_ws_nfe
    'RS': {
        'STATUS': 'sefazrs.rs.gov.br/ws/NfeStatusServico/NfeStatusServico4.asmx',
        'AUTORIZACAO': 'sefazrs.rs.gov.br/ws/NfeAutorizacao/NFeAutorizacao4.asmx',
        'RECIBO': 'sefazrs.rs.gov.br/ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
        'CHAVE': 'sefazrs.rs.gov.br/ws/NfeConsulta/NfeConsulta4.asmx',
        'INUTILIZACAO': 'sefazrs.rs.gov.br/ws/nfeinutilizacao/nfeinutilizacao4.asmx',
        'EVENTOS': 'sefazrs.rs.gov.br/ws/recepcaoevento/recepcaoevento4.asmx',
        'CADASTRO': 'https://cad.sefazrs.rs.gov.br/ws/cadconsultacadastro/cadconsultacadastro4.asmx',
        'DOWNLOAD': 'sefazrs.rs.gov.br/ws/nfeDownloadNF/nfeDownloadNF.asmx',
        'DESTINADAS': 'sefazrs.rs.gov.br/ws/nfeConsultaDest/nfeConsultaDest.asmx',
        'PRD': 'https://nfe.',
        'HML': 'https://nfe-homologacao.'
    },
    'MS': {
        'STATUS': 'nfe.sefaz.ms.gov.br/ws/NFeStatusServico4',
        'AUTORIZACAO': 'nfe.sefaz.ms.gov.br/ws/NFeAutorizacao4',
        'RECIBO': 'nfe.sefaz.ms.gov.br/ws/NFeRetAutorizacao4',
        'CHAVE': 'nfe.sefaz.ms.gov.br/ws/NFeConsultaProtocolo4',
        'INUTILIZACAO': 'nfe.sefaz.ms.gov.br/ws/NFeInutilizacao4',
        'EVENTOS': 'nfe.sefaz.ms.gov.br/ws/NFeRecepcaoEvento4',
        'CADASTRO': 'nfe.sefaz.ms.gov.br/ws/CadConsultaCadastro4',
        'PRD': 'https://',
        'HML': 'https://hom.'
    },
    'MT': {
        'STATUS': 'sefaz.mt.gov.br/nfews/v2/certificates/NfeStatusServico4?wsdl',
        'AUTORIZACAO': 'sefaz.mt.gov.br/nfews/v2/certificates/NfeAutorizacao4?wsdl',
        'RECIBO': 'sefaz.mt.gov.br/nfews/v2/certificates/NfeRetAutorizacao4?wsdl',
        'CHAVE': 'sefaz.mt.gov.br/nfews/v2/certificates/NfeConsulta4?wsdl',
        'INUTILIZACAO': 'sefaz.mt.gov.br/nfews/v2/certificates/NfeInutilizacao4?wsdl',
        'EVENTOS': 'sefaz.mt.gov.br/nfews/v2/certificates/RecepcaoEvento4?wsdl',
        'CADASTRO': 'sefaz.mt.gov.br/nfews/v2/certificates/CadConsultaCadastro4?wsdl',
        'PRD': 'https://nfe.',
        'HML': 'https://homologacao.'
    },
    'GO': {
        'STATUS': 'sefaz.go.gov.br/nfe/certificates/NFeStatusServico4?wsdl',
        'AUTORIZACAO': 'sefaz.go.gov.br/nfe/certificates/NFeAutorizacao4?wsdl',
        'RECIBO': 'sefaz.go.gov.br/nfe/certificates/NFeRetAutorizacao4?wsdl',
        'CHAVE': 'sefaz.go.gov.br/nfe/certificates/NFeConsultaProtocolo4?wsdl',
        'INUTILIZACAO': 'sefaz.go.gov.br/nfe/certificates/NFeInutilizacao4?wsdl',
        'EVENTOS': 'sefaz.go.gov.br/nfe/certificates/NFeRecepcaoEvento4?wsdl',
        'CADASTRO': 'sefaz.go.gov.br/nfe/certificates/CadConsultaCadastro4?wsdl',
        'PRD': 'https://nfe.',
        'HML': 'https://homolog.'
    },
    'SVAN': {
        'STATUS': 'sefazvirtual.fazenda.gov.br/NFeStatusServico4/NFeStatusServico4.asmx',
        'AUTORIZACAO': 'sefazvirtual.fazenda.gov.br/NFeAutorizacao4/NFeAutorizacao4.asmx',
        'RECIBO': 'sefazvirtual.fazenda.gov.br/NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
        'CHAVE': 'sefazvirtual.fazenda.gov.br/NFeConsultaProtocolo4/NFeConsultaProtocolo4.asmx',
        'INUTILIZACAO': 'sefazvirtual.fazenda.gov.br/NFeInutilizacao4/NFeInutilizacao4.asmx',
        'EVENTOS': 'sefazvirtual.fazenda.gov.br/NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
        'DOWNLOAD': 'sefazvirtual.fazenda.gov.br/NfeDownloadNF/NfeDownloadNF.asmx',
        'PRD': 'https://www.',
        'HML': 'https://hom.'
    },
    'SVRS': {
        'STATUS': 'svrs.rs.gov.br/ws/NfeStatusServico/NfeStatusServico4.asmx',
        'AUTORIZACAO': 'svrs.rs.gov.br/ws/NfeAutorizacao/NFeAutorizacao4.asmx',
        'RECIBO': 'svrs.rs.gov.br/ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
        'CHAVE': 'svrs.rs.gov.br/ws/NfeConsulta/NfeConsulta4.asmx',
        'INUTILIZACAO': 'svrs.rs.gov.br/ws/nfeinutilizacao/nfeinutilizacao4.asmx',
        'EVENTOS': 'svrs.rs.gov.br/ws/recepcaoevento/recepcaoevento4.asmx',
        'CADASTRO': 'https://cad.svrs.rs.gov.br/ws/cadconsultacadastro/cadconsultacadastro4.asmx',
        'PRD': 'https://nfe.',
        'HML': 'https://nfe-homologacao.'
    },
    'SVC-AN': {
        'STATUS': 'svc.fazenda.gov.br/NfeStatusServico2/NfeStatusServico2.asmx',
        'AUTORIZACAO': 'svc.fazenda.gov.br/NfeAutorizacao/NfeAutorizacao.asmx',
        'RECIBO': 'svc.fazenda.gov.br/NfeRetAutorizacao/NfeRetAutorizacao.asmx',
        'CHAVE': 'svc.fazenda.gov.br/NfeConsulta2/NfeConsulta2.asmx',
        'EVENTOS': 'svc.fazenda.gov.br/RecepcaoEvento/RecepcaoEvento.asmx',
        'PRD': 'https://www.',
        'HML': 'https://hom.'
    },
    'SVC-RS': {
        'STATUS': 'svrs.rs.gov.br/ws/NfeStatusServico/NfeStatusServico2.asmx',
        'AUTORIZACAO': 'svrs.rs.gov.br/ws/NfeAutorizacao/NFeAutorizacao.asmx',
        'RECIBO': 'svrs.rs.gov.br/ws/NfeRetAutorizacao/NFeRetAutorizacao.asmx',
        'CHAVE': 'svrs.rs.gov.br/ws/NfeConsulta/NfeConsulta2.asmx',
        'INUTILIZACAO': 'svrs.rs.gov.br/ws/nfeinutilizacao/nfeinutilizacao2.asmx',
        'EVENTOS': 'svrs.rs.gov.br/ws/recepcaoevento/recepcaoevento.asmx',
        'PRD': 'https://nfe.',
        'HML': 'https://nfe-homologacao.'
    },
}

ACCOUNTING_INTEGRATION_RS = 'https://dfe-servico.svrs.rs.gov.br/WS/NFeIntegracao/NFeIntegracao.asmx'
